For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETDownload invoice PDF
      • GETGet invoice by id
      • GETRetrieve a payment breakdown
      • GETRetrieve Deel invoices
      • GETRetrieve invoices
      • GETRetrieve payment receipts
      • GETRetrieve refund statements
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsAccounting

Download invoice PDF

GET
/invoices/:id/download
GET
/rest/v2/invoices/:id/download
$curl https://api.letsdeel.com/rest/v2/invoices/abcd1234efgh5678/download \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "url": "https://s3URL/letsdeel.com/invoices/abcd1234efgh5678.pdf",
4 "id": "abcd1234efgh5678",
5 "expires_at": "2024-11-30T10:58:49.780Z"
6 }
7}

Returns a temporary download URL for an invoice PDF; the URL expires at the time indicated by expires_at in the response. Token scopes: accounting:read

Was this page helpful?

Get invoice by id

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequired
The invoice ID used to identify the invoice to be downloaded.

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication